"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_complete
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_complete class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
!

documentation
"
The '-complete' Command
-----------------------

Synopsis
--------

     -complete COMMAND

   Show a list of completions for partially typed CLI COMMAND.  The
COMMAND should be given in verbatim without any quoting / escaping.

GDB Command
-----------

The corresponding GDB command is 'complete'.

Example
-------

     (gdb)
     -complete br
     ^done,completions=['break','break-range'],max_completions_reached='0'
     (gdb)
     -complete b madv
     ^done,completions=['b madvise'],max_completions_reached='0'
     (gdb)
"
! !

!GDBMI_complete methodsFor:'accessing'!

operation   
    ^ 'complete'

    "Created: / 30-12-2018 / 21:44:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMI_complete methodsFor:'converting'!

asString
    ^ String streamContents: [ :s |
        token notNil ifTrue:[
            token printOn: s.
        ].
        s nextPut: $-; nextPutAll: self operation.
        s space.
        arguments do:[:argument | s nextPutAll: argument ] separatedBy: [ s space ]
    ]

    "Created: / 01-01-2019 / 00:49:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 01-01-2019 / 23:53:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMI_complete class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

