"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBObject subclass:#GDBRegister
	instanceVariableNames:'number name'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

!GDBRegister class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License. 

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
"
!

documentation
"
    a `GDBRegister` instance represent a single machine 
    register. 

    It does not hold a value - value is held in 
    `GDBRegisterWithValue`


    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]
        GDNRegisterWithValue
        GDBFrame >> registers

"
! !

!GDBRegister methodsFor:'accessing'!

name
    ^ name
!

number
    ^ number
! !

!GDBRegister methodsFor:'initialization'!

setName: aString
    name := aString

    "Created: / 26-09-2018 / 10:06:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setNumber: aNumber
    number := aNumber

    "Created: / 26-09-2018 / 10:06:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBRegister methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation of the receiver to the argument, aStream"

    super printOn:aStream.
    aStream nextPut:$(.
    name printOn:aStream.
    aStream nextPut:$).

    "Modified: / 26-09-2018 / 10:10:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

